| QxOrm 1.4.5 C++ Object Relational Mapping library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions
qx::trait::generic_container< qx::QxCollection< Key, Value > > Struct Template Reference

`#include <generic_container.h>`

List of all members.

## Static Public Member Functions
static long | size (const qx::QxCollection< Key, Value > &t)
static void | clear (qx::QxCollection< Key, Value > &t)
static void | reserve (qx::QxCollection< Key, Value > &t, long l)
static type_item | createItem ()
static Value * | insertItem (qx::QxCollection< Key, Value > &t, type_item &item)
static type_iterator | end (qx::QxCollection< Key, Value > &t)
static type_iterator | begin (qx::QxCollection< Key, Value > &t, type_item &item)
static type_iterator | next (qx::QxCollection< Key, Value > &t, type_iterator itr, type_item &item)

## Detailed Description

### template<typename Key, typename Value>
struct qx::trait::generic_container< qx::QxCollection< Key, Value > >

Definition at line 378 of file generic_container.h.

## Member Function Documentation

template<typename Key , typename Value >

static type_iterator qx::trait::generic_container< qx::QxCollection< Key, Value > >::begin | ( | qx::QxCollection< Key, Value > & | t,
|  | type_item & | item
| ) |  | `[inline, static]`

Definition at line 390 of file generic_container.h.

template<typename Key , typename Value >

static void qx::trait::generic_container< qx::QxCollection< Key, Value > >::clear | ( | qx::QxCollection< Key, Value > & | t | ) | `[inline, static]`

Definition at line 384 of file generic_container.h.

template<typename Key , typename Value >

static type_item qx::trait::generic_container< qx::QxCollection< Key, Value > >::createItem | ( |  | ) | `[inline, static]`

Definition at line 386 of file generic_container.h.

template<typename Key , typename Value >

static type_iterator qx::trait::generic_container< qx::QxCollection< Key, Value > >::end | ( | qx::QxCollection< Key, Value > & | t | ) | `[inline, static]`

Definition at line 388 of file generic_container.h.

template<typename Key , typename Value >

static Value* qx::trait::generic_container< qx::QxCollection< Key, Value > >::insertItem | ( | qx::QxCollection< Key, Value > & | t,
|  | type_item & | item
| ) |  | `[inline, static]`

Definition at line 387 of file generic_container.h.

template<typename Key , typename Value >

static type_iterator qx::trait::generic_container< qx::QxCollection< Key, Value > >::next | ( | qx::QxCollection< Key, Value > & | t,
|  | type_iterator | itr,
|  | type_item & | item
| ) |  | `[inline, static]`

Definition at line 393 of file generic_container.h.

template<typename Key , typename Value >

static void qx::trait::generic_container< qx::QxCollection< Key, Value > >::reserve | ( | qx::QxCollection< Key, Value > & | t,
|  | long | l
| ) |  | `[inline, static]`

Definition at line 385 of file generic_container.h.

template<typename Key , typename Value >

static long qx::trait::generic_container< qx::QxCollection< Key, Value > >::size | ( | const qx::QxCollection< Key, Value > & | t | ) | `[inline, static]`

Definition at line 383 of file generic_container.h.

The documentation for this struct was generated from the following file:

- C:/Dvlp/_Perso/QxOrm/include/QxTraits/generic_container.h